package com.kuyuntech.vrv.coreservice;

import com.kuyuntech.vrv.coreservice.annotation.core.EnableVrvCoreService;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.wbspool.fastboot.core.jpa.annotation.EnableFastbootJpaAutoConfiguration;
import org.springframework.boot.context.ApplicationPidFileWriter;



@SpringBootApplication
@EnableVrvCoreService
@EnableFastbootJpaAutoConfiguration
public class VrvCoreServiceApplication {

    public static void main(String[] args){
        SpringApplication app = new SpringApplication(VrvCoreServiceApplication.class);
        app.addListeners(new ApplicationPidFileWriter());
        app.run(args);
    }
}
